/* You can add global styles to this file, and also import other style files */
@import 'libs/ui/src/assets/stylesheets/variables';
@import '~@angular/cdk/overlay-prebuilt.css';
@import 'node_modules/bootstrap/scss/bootstrap.scss';
html,
body {
  padding: 0;
  margin: 0;
  overflow-x: hidden !important;
}

html {
  height: 100vh;
}

/** Add this only for non-material project */
$primary: $primary-color1;
$secondary: $primary-color2;
$form-select-color: $primary-font-normal-color;
$form-select-bg: $primary-component-background;
$form-select-indicator-color: $primary-font-normal-color;
$form-select-border-width: 0px;
$form-select-font-family: 'Kanit';
$form-select-font-size: '14px';
$dropdown-bg: $primary-background;
$dropdown-color: $primary-font-normal-color;
$dropdown-link-color: $primary-font-white-color;
$dropdown-link-hover-bg: $primary-component-background;

.btn-primary {
  color: #fff;
}

.btn-secondary {
  color: #fff;
}

body {
  font-family: Kanit;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  width: 100%;
  margin: 0;
  padding: 0;
  height: 100%;
  overflow-x: hidden !important;
}

body::-webkit-scrollbar {
  width: 1px;
}

/* Track */

body::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px $primary-background;
}

/* Handle */

body::-webkit-scrollbar-thumb {
  background: $primary-background;
}

.common_scrollbar::-webkit-scrollbar {
  width: 6px;
}

/* Track */

.common_scrollbar::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
}

/* Handle */

.common_scrollbar::-webkit-scrollbar-thumb {
  background-color: darkgrey;
  outline: 1px solid slategrey;
  border-radius: 10px;
}

.form-check {
  display: flex;
  align-items: center;
  label {
    margin-left: 10px;
  }
}

input {
  max-width: 400px;
  border-radius: 4px;
  padding: 4px;
  outline-color: #fff;
  border: none;
  outline: none;
}

img {
  // object-fit: contain;
  image-rendering: pixelated;
}

* {
  box-sizing: border-box;
}

h1,
p {
  margin: 0;
}
